remote runners
Create remote runners remote runners
Requires scopes: admin:org
POST
/
api
/
remote-runners
Create remote runners remote runners
curl --request POST \
--url https://evalgate.com/api/remote-runners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"capabilities": {
"maxWallMillis": 123,
"supportsStreaming": true,
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"protocolVersion": "1.0",
"executionKinds": [
"prompt"
],
"runtimes": [
"<string>"
],
"maxCpuMillis": 123,
"maxMemoryMb": 123,
"maxOutputBytes": 123,
"maxConcurrentJobs": 123,
"supportsCancellation": true
},
"runnerKey": "<string>"
}
'import requests
url = "https://evalgate.com/api/remote-runners"
payload = {
"name": "<string>",
"capabilities": {
"maxWallMillis": 123,
"supportsStreaming": True,
"network": {
"mode": "deny_all",
"allowlist": ["<string>"]
},
"protocolVersion": "1.0",
"executionKinds": ["prompt"],
"runtimes": ["<string>"],
"maxCpuMillis": 123,
"maxMemoryMb": 123,
"maxOutputBytes": 123,
"maxConcurrentJobs": 123,
"supportsCancellation": True
},
"runnerKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
capabilities: {
maxWallMillis: 123,
supportsStreaming: true,
network: {mode: 'deny_all', allowlist: ['<string>']},
protocolVersion: '1.0',
executionKinds: ['prompt'],
runtimes: ['<string>'],
maxCpuMillis: 123,
maxMemoryMb: 123,
maxOutputBytes: 123,
maxConcurrentJobs: 123,
supportsCancellation: true
},
runnerKey: '<string>'
})
};
fetch('https://evalgate.com/api/remote-runners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runner": {
"status": "<string>",
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"revokedBy": "<string>",
"revokedAt": "2023-11-07T05:31:56Z",
"capabilities": {
"maxWallMillis": 123,
"supportsStreaming": true,
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"protocolVersion": "1.0",
"executionKinds": [
"prompt"
],
"runtimes": [
"<string>"
],
"maxCpuMillis": 123,
"maxMemoryMb": 123,
"maxOutputBytes": 123,
"maxConcurrentJobs": 123,
"supportsCancellation": true
},
"runnerKey": "<string>",
"protocolVersion": "<string>",
"maxConcurrentJobs": 123,
"capabilitiesHash": "<string>",
"credentialKeyId": "<string>",
"activeJobCount": 123,
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"lastSeenAddressHash": "<string>",
"revocationReason": "<string>"
},
"bootstrapToken": "<string>",
"bootstrapTokenShownOnce": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create remote runners remote runners
